Bug 1315538 - RHCS 2.2 Container Image [Tech Preview]
Summary: RHCS 2.2 Container Image [Tech Preview]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: Distribution
Version: 2.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 2.2
Assignee: hchen
QA Contact: krishnaram Karthick
Bara Ancincova
URL:
Whiteboard:
Depends On: 1356105 1369323 1375091 1376283 1420207
Blocks: 1371113 1412948
TreeView+ depends on / blocked
 
Reported: 2016-03-08 00:51 UTC by Federico Lucifredi
Modified: 2017-03-14 15:50 UTC (History)
14 users (show)

Fixed In Version:
Doc Type: Technology Preview
Doc Text:
.Red Hat Ceph Storage 2.2 Container Image Red Hat Ceph Storage 2.2 is now available as a container image. The `rhceph-2-rhel-7` image is now ready to use on the Red Hat registry. This update also introduces the following changes: * The Red Hat Ceph Storage 2.2 image supports the `ceph` user and group. As a result, the Ceph daemons no longer run as `root` and Ceph binaries no longer belongs to `root`. * The `OSD_CEPH_DISK_PREPARE` and `OSD_CEPH_DISK_ACTIVATE` commands are now supported. These commands are equivalents of the `ceph-disk prepare` and `ceph-disk activate` commands. For detailed information how to bootstrap a containerized Ceph cluster see the https://access.redhat.com/articles/2429471[Deploying Red Hat Ceph Storage 2 as a Container Image (Technology Preview)] article on the https://access.redhat.com[Red Hat Customer Portal]. To learn more about Linux Containers, see the https://access.redhat.com/documentation/en/red-hat-enterprise-linux-atomic-host/version-7/getting-started-with-containers/[Red Hat Enterprise Linux Atomic Host 7 Getting Started with Containers] guide.
Clone Of:
Environment:
Last Closed: 2017-03-14 15:50:14 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2017:0516 normal SHIPPED_LIVE new container image: rhceph-2-rhel7 2017-03-14 21:00:11 UTC

Description Federico Lucifredi 2016-03-08 00:51:36 UTC
Description of problem:

An updated version of the rhos docker image will be made available for RHCS 2.0.

This will be a separate release stream: the current image is:

rhcs/rhcs-1.3-rhel-7

the new one will be at

rhcs/rhcs-2-rhel-7

I (Federico) will be responsible for the RHN request paperwork if any is needed. Huamin Chen built the last image with Jim Curtis. Everyone is in CC.

THIS IS A TECH PREVIEW as of current planning.

Documentation exists in the form of a KB article, will need to be updated with references to the multiple available versions (1.3, upstream Hammer, 2, upstream Jewel).

Comment 5 hchen 2016-05-07 12:55:42 UTC
The image is on docker registry as hchen/rhceph2. We have to use public docker registry for dev testing.

The git is at https://github.com/roofmonkey/rhcs/tree/v2.0

Comment 15 Daniel Gryniewicz 2016-06-24 17:25:19 UTC
The latest drop as of now (Ceph-2-RHEL-7-20160623.6) has 2 of the three nfs-ganesha packages in it.  I've contacted the devs to get the 3rd one (nfs-ganesha-ceph) added as well.

Comment 18 Bhaskarakiran 2016-08-08 09:14:33 UTC
RHCS2.0 container installation through ansible fails due to bug: https://bugzilla.redhat.com/show_bug.cgi?id=1356105. This is still in POST and unless on_qa cannot proceed further. This is a blocker WRT ansible installation of RHCS 2.0

Comment 22 khartsoe@redhat.com 2016-08-29 12:50:45 UTC
Adding doc draft version for reference: https://docs.google.com/document/d/1Ef5a_-Yjozy5Ue3C0M7mMQNn6zWZe0-514bhxKwFHI8/edit?ts=576a3d95#heading=h.f29ffgu8vo7g

Comment 27 krishnaram Karthick 2017-02-22 09:02:11 UTC
[1] is a blocker for this bug, as we won't be able to ship a ceph ansible version with the fix for [1]. so, moving the bug to assigned.

[1] https://bugzilla.redhat.com/show_bug.cgi?id=1420207

Comment 29 John Poelstra 2017-02-23 16:53:06 UTC
Discussed at program meeting on 22-Feb.  This bug should be in ON_QA (In reply to krishnaram Karthick from comment #27)
> [1] is a blocker for this bug, as we won't be able to ship a ceph ansible
> version with the fix for [1]. so, moving the bug to assigned.
> 
> [1] https://bugzilla.redhat.com/show_bug.cgi?id=1420207

Discussed at program meeting on 22-Feb.  This bug should be in ON_QA.  The bug referenced above is targeted for a future release

Comment 31 krishnaram Karthick 2017-03-03 14:37:54 UTC
Moving the bug to verified as the image is available now.

Comment 34 errata-xmlrpc 2017-03-14 15:50:14 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2017:0516


Note You need to log in before you can comment on or make changes to this bug.